For the complete documentation index, see llms.txt. This page is also available as Markdown.

Partially modify IP blocks

Update the properties of the specified IP block.

patch
Authorizations
AuthorizationstringRequired

You will need to base64 encode the string containing your credentials.

Note:

  • Basic Authentication is supported only when 2-Factor Authentication is not configured.
  • Users with 2-Factor Authentication activated must generate new 2FA-secured tokens in the DCD using [Token Manager](https://docs.ionos.com/cloud/set-up-ionos-cloud/management/identity-access-management/token-manager). These tokens do not inherit the 2FA-secured property by default.
  • Token deletion is only possible using the Token Manager.
Separate your username and password with a colon, i.e., username:password and send it as 'Authorization' request header. More details: https://en.wikipedia.org/wiki/Basic_access_authentication
Path parameters
ipblockIdstringRequired

The unique ID of the IP block.

Query parameters
prettybooleanOptional

Controls whether the response is pretty-printed (with indentations and new lines).

Default: true
depthinteger · int32 · max: 10Optional

Controls the detail depth of the response objects. GET /datacenters/[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children's children are included. - depth=... and so on

Default: 0
Header parameters
X-Contract-Numberinteger · int32Optional

Users with multiple contracts must provide the contract number, for which all API requests are to be executed.

Body
ipsstring[]Read-onlyOptional

Collection of IPs, associated with the IP Block.

Example: ["22.231.113.64","22.231.113.65","22.231.113.66"]
locationstringRequired

Location of that IP block. Property cannot be modified after it is created (disallowed in update requests).

Example: us/las
sizeinteger · int32Required

The size of the IP block.

Example: 5
namestringOptional

The name of the resource.

Example: My resource
Responses
202

Successful operation

application/json
patch/ipblocks/{ipblockId}
PATCH /cloudapi/v6/ipblocks/{ipblockId} HTTP/1.1
Host: api.ionos.com
Authorization: Basic username:password
Content-Type: application/json
Accept: */*
Content-Length: 51

{
  "location": "us/las",
  "size": 5,
  "name": "My resource"
}
{
  "id": "15f67991-0f51-4efc-a8ad-ef1fb31a480c",
  "type": "ipblock",
  "href": "<RESOURCE-URI>",
  "metadata": {
    "etag": "45480eb3fbfc31f1d916c1eaa4abdcc3",
    "createdDate": "2015-12-04T14:34:09.809Z",
    "createdBy": "user@example.com",
    "createdByUserId": "user@example.com",
    "lastModifiedDate": "2015-12-04T14:34:09.809Z",
    "lastModifiedBy": "user@example.com",
    "lastModifiedByUserId": "63cef532-26fe-4a64-a4e0-de7c8a506c90",
    "state": "AVAILABLE"
  },
  "properties": {
    "ips": [
      "22.231.113.64",
      "22.231.113.65",
      "22.231.113.66"
    ],
    "location": "us/las",
    "size": 5,
    "name": "My resource",
    "ipConsumers": [
      {
        "ip": "192.18.2.11",
        "mac": "02:01:3f:52:6e:57",
        "nicId": "0e8ee463-1174-46f2-87ba-a5c79c14d8e5",
        "serverId": "e6a3466f-8d6e-4cb6-8001-f4e245f222b7",
        "serverName": "Unnamed Server",
        "datacenterId": "6e54a9ec-aace-4176-8ee4-1c3a704fccfc",
        "datacenterName": "IpConsumerDC",
        "k8sNodePoolUuid": "6e54a9ec-aace-4176-8ee4-1c3a704fcc12",
        "k8sClusterUuid": "6e54a9ec-aace-4176-8ee4-1c3a704fcc23"
      }
    ]
  }
}

Last updated

Was this helpful?